<?php
require_once 'web.config.php';
$do_submit=false;
if(!empty($_POST['fcontent']) && !empty($_POST['fAuthor'])  ){

    $fcontent=$_POST['fcontent'];
    $fAuthor=$_POST['fAuthor'];
    $bgColor=$_POST['bgColor'];
    $createTime=date("Y-m-d H:i:s");
    $sql="insert into deep_zhiTiao(bgColor,fcontent,fAuthor,createTime)values('$bgColor','$fcontent','$fAuthor','$createTime')";
    $ok=$conn->exec($sql);
    if($ok>0){
        $tip="祝福提交成功";
    }else{
        $tip="祝福提交失败";
    }
    $do_submit=true;
    //exit();
}

$colors=array('#fff','#f09','#f00','#f60','#ff84ff','#ff0','#f0f','#f90','#fcf','#bfabff','#e4e45a','#fc0','#bff','#fad6f0','#ffce7d','#ffa68c','#bdbede','#fc6','#73e7ff','#8cefd6','#97eb76','#eba876','#ceeb76','#eee');
$colors_rand=$colors[mt_rand(0, count($colors)-1)];
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>爱墙 - 许愿</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <link href="themes/lu10000/theme.css" rel="stylesheet" type="text/css" />
  </head>
  <body>
      <div class="header">logo</div>
      <div class="qiangtou"><a href="lovewall.php">+++ 点击此处返回爱墙 +++</a></div>
      <div class="zhuan">
          <div class="container">
              <div class="qiang_input">
          <div class="span-6 sideBar">
              <div class="zhitiao" style="top:10px; left: 10px; background-color:<?php echo $colors_rand ?>">
                  <dl>
                      <dt>第XXXXXX条</dt>
                      <dd class="zhitiao_fcontent"></dd>
                      <dd class="zhitiao_fAuthor"></dd>
                  </dl>
              </div>

          </div>
          <div class="span-18 last main">
              <?php
              if($do_submit){
                  echo "<h2>".$tip."</h2>3秒后自动跳转到爱墙<br />" ;
                  ?>
                  <meta http-equiv="refresh" content="3;URL=lovewall.php" />
                  <?php
              }else{
              ?>
    
              <form action="" method="post" name="form1" id="form1">
                  输入你的祝福纸条内容 还能输入 <span class="wordNum">100</span> 个字<br/>
              <textarea id="fcontent" name="fcontent" ></textarea><br/>
              标签颜色：<input type="text" id="bgColor" name="bgColor" value="<?php echo $colors_rand ?>" style="background-color:<?php echo $colors_rand ?>" readonly="readonly" /><br/>
              <div>
                  <?php
                    //echo  count($colors);
                    for($color_val=0;$color_val<count($colors) ;$color_val++){
                        ?>
                        <div class="zhitiao_bgColor" style="background-color:<?php echo $colors[$color_val] ?>"></div>
                        <?php
                    }
                  ?>
              </div>
              
              <div class="clear"></div>
              许愿人姓名： <input type="text" name="fAuthor" id="fAuthor" /><br/>
              <input type="submit" value="发布你的祝福纸条"  />
              </form>
              <?php
              }
              ?>
              <dl>
                  <dt>爱墙解释说明</dt>
                  <dd>⑴ 免费发布您的祝福纸条，全部免费
⑵ 记住系统下发给您的祝福纸条号码可以随时查看；
⑶ 请勿发布有违法律、道德、公序良俗以及任何本站认为不适合在此爱墙发布的信息。本站保留随时删除此类纸条的权利。删除这些纸条之前不会通知发布人；
⑷ 您在本站的言行文字引起的任何纠纷与本站无关。</dd>
              </dl>
          </div>
      </div>
          </div>
      </div>
      <div class="qiangji">           <?php require_once 'include/include.foot.php';?></div>
  </body>
</html>
<script type="text/javascript" src="./Deep_library/js/jquery-1.4.2.min.js"></script>

<script type="text/javascript">
    $(function(){
        //下拉效果
        $(".qiang_input").hide().delay(1000).slideDown(1000);

        //祝福内容输入处理
        $("#fcontent").keyup(function(){
            //如果元素区字符数大于最大字符数，按照最大字符数截断
            //alert($("#fcontent").val().length);
            if($("#fcontent").val().length>100){
                $("#fcontent").val($("#fcontent").val().substring(0, 100) );
                //alert(1111111111);
            }
            //显示剩余的字符数
            $('.qiang_input .main .wordNum').html( 100- $("#fcontent").val().length  );
            //在纸条上显示输入内容
            $('.qiang_input .sideBar .zhitiao dl dd.zhitiao_fcontent').html( $("#fcontent").val() );
        });

        //纸条颜色
        $(".qiang_input .main .zhitiao_bgColor").click(function(){
            //alert('-------');
            //alert($(this).css('background-color'));
            $('.qiang_input .sideBar .zhitiao').css('background-color', $(this).css('background-color') );
            $('#bgColor').css('background-color', $(this).css('background-color')).val($(this).css('background-color'));
        });

        //祝福人输入处理
        $("#fAuthor").keyup(function(){
            $('.qiang_input .sideBar .zhitiao dl dd.zhitiao_fAuthor').html( $("#fAuthor").val() );
        });

        //提交验证
        $("#form1").submit(function(){
            if($('#fcontent').val()==''){
               alert('祝福内容不能为空');
               $('#fcontent').focus();
               return false;
            }

            if($('#fAuthor').val()==''){
               alert('许愿人姓名不能为空');
               $('#fAuthor').focus();
               return false;
            }
        });

    });
</script>
